Page MenuHomePhabricator

Fix 'show version' in jessie-based VyOS
Closed, ResolvedPublic

Description

Due to version file format change, 'show version' is very broken (cannot display, well, version).
There are other things that are broken, such as boot via display (this is due to overlayfs -> overlay name change).

Details

Commits
Restricted Diffusion Commit
Difficulty level
Normal (likely a few hours)

Event Timeline

dmbaturin created this task.Mar 3 2016, 3:15 PM
dmbaturin added a commit: Restricted Diffusion Commit.Mar 3 2016, 3:30 PM
dmbaturin closed this task as Resolved.Mar 4 2016, 12:29 AM

Now it works again. The format is a bit different from original:

Version:          VyOS $version
Built by:         $user@$host
Built on:         Thu 31 Feb 2078 33:84 UTC
Build ID:         $UUID

Architecture:     <x86_64|i686>
Boot via:         <installed image|livecd|legacy non-image installation>
System type:     <physical|$hypervisor guest>

Hardware vendor:  $vendor
Hardware model:   $model
Hardware S/N:     $serial
Hardware UUID:   $uuid

Copyright:        VyOS maintainers and contributors

The branch/codename is missing, but if VyOS 1.x is going to maintenance mode, I'm not sure if we should even bother, if it stays "current" all the time. If anything, we can get it back.